Subject: Re: [IPsec] Fwd: I-D Action:draft-hoffman-ikev2bis-03.txt

From: <[email-masked]>
Date: Fri, 4 Apr 2008 14:36:13 +0300

(apologies for a late reply)

Jean-Michel Combes wrote:
> Hi,
> 
> I have two questions regarding this draft.
> 
> o Protocol ID field (section 3.10 - Protocol ID description)
> Is it normal the sentence "For IKE_SA notifications, this field MUST
> be one (1)" has been removed (in fact, this sentence has been removed
> since the version -01 of the draft)?

RFC 4718 Section 7.8 has some explanation about this situation.

Basically, RFC 4306 didn't actually say which notifications are about
IKE_SA (and thus it was unclear what implementations should send, or 
can expect to receive, in this field).

> o SPI field (section 3.10 - SPI Size description)
> It is said that "For a notification concerning the IKE_SA, the SPI
> Size MUST be zero.". Does it mean that the SPI MUST be empty too? Or
> is it just a way to identify this is a notification concerning the
> IKE_SA (and so the SPI field may be not empty) because, in this case,
> there is no more assigned value for the Protocol ID field?

If the SPI size is zero, the SPI field is also empty (otherwise, it
would be difficult to parse the message). For IKE_SA notifications,
the SPIs are in the message header, not inside the Notify payload.

Best regards,
Pasi
_______________________________________________
IPsec mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ipsec